Download task related files

Download task related files into a zip file.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

File Size Limit

The API Gateway has a payload size limit. If your ZIP file exceeds this limit, you can use the [Get Task Download Link] API to retrieve a download link.

📑

Download Source Files

If source_file is specified in file_types, the response will include only the files that the user has permission to access.
Additionally, individually signed files will only be included after the task has been completed.


Allow authentication via Bearer Token or JWT Code.

scope: sign_tasks.download.read
available user plans: all

Query Params
integer
required

Task ID.

file_types[]
array of strings

File types.
Available file types include task, attachment, attachment_compressed, audit_trail, and source_file.
Availability depends on task status. task returns the original document before the task is completed and the signed file afterward. attachment and attachment_compressed require a completed task, and audit_trail requires a completed, declined, or voided task.

file_types[]
Headers
string

OAuth2 Bearer token.

string

JWT code for quick sign authentication. Use it instead of the Authorization bearer token to read or sign a task on behalf of a signer who is not a DottedSign member.

The Get the share link API returns a share_link such as https://www.dottedsign.com/task?code=eyJhbGciOiJIUzUxMiJ9....

JWT code is the value of that URL's code query parameter; it is not returned as a separate field in the response.

Quick sign authentication is only available to signers who do not have a DottedSign account. If the signer is a registered DottedSign member, the request is rejected with the login_required (401_030) error and the signer must sign in to read and sign the task, no matter how the quick sign setting is configured.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/zip
application/json